# Abteilungen

## Abteilungen lesen

<mark style="color:blue;">`GET`</mark> `https://api.propstack.de/v1/teams`

{% tabs %}
{% tab title="200 " %}

```json
[
    {
        "id": 1,
        "name": "Externer Vertrieb",
        "position": 2,
        "logo_url": "https://dev-propstack.s3.eu-central-1.amazonaws.com/photos/qnFkpCA2VRZQefM6zUmu9Udm/logo/wqgrNwWtl132LTA2j1mDYQFQ/logo.jpg",
        "broker_ids": [1, 2],
        "cancellation_policy_note": "<p>Custom Wiederruf</p>",
        "imprint_note": "",
        "terms_note": "<p>custom agb</p>",
        "privacy_note": ""
    }
]
```

{% endtab %}
{% endtabs %}

###

## Abteilung anlegen

<mark style="color:green;">`POST`</mark> `https://api.propstack.de/v1/teams`

#### Anfrageformat

```json
{
    "team": {
        "name": "Neue Abteilung",
        "position": 1,
        "logo_url": "https://url-zum-logo.jpg",
        "broker_ids": [1, 2],
        "cancellation_policy_note": "<p>Widerrufsbelehrung</p>",
        "imprint_note": "<p>Impressum</p>",
        "terms_note": "<p>AGB</p>",
        "privacy_note": "<p>Datenschutzerklärung</p>"
    }
}
```

###

## Abteilung bearbeiten

<mark style="color:blue;">`PUT`</mark> `https://api.propstack.de/v1/teams/:id`

#### Anfrageformat

```json
{
    "team": {
        "name": "Neuer Abteilungsname",
        "position": 3,
        "logo_url": "https://neue-url-zum-logo.jpg",
        "broker_ids": [1, 3],
        "cancellation_policy_note": "<p>Aktualisierte Widerrufsbelehrung</p>",
        "imprint_note": "<p>Aktualisiertes Impressum</p>",
        "terms_note": "<p>Aktualisierte AGB</p>",
        "privacy_note": "<p>Aktualisierte Datenschutzerklärung</p>"
    }
}
```

###

## Abteilung löschen

<mark style="color:red;">`DELETE`</mark> `https://api.propstack.de/v1/teams/:id`

{% tabs %}
{% tab title="200" %}

```json
{
    "id": 1
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.propstack.de/reference/abteilungen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
